This endpoint lists all buy, sell, and maturity events for securities (T-bills) within the customer's accounts.
Returns a paginated TradeListResponse. The list can be filtered by account and a trade datetime range.
Security
CodeBearer(Required scopes: pockets.read)
- Sandbox serverhttps://customer-api.sandbox-api.jikoservices.com/api/v1/trades/
- Production serverhttps://api.business.jiko.io/api/v1/trades/
curl -i -X GET \
'https://customer-api.sandbox-api.jikoservices.com/api/v1/trades/?book_date_from=2019-08-24&book_date_to=2019-08-24&settlement_date_from=2019-08-24&settlement_date_to=2019-08-24&account%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&trade_datetime_from=2019-08-24T14%3A15%3A22Z&trade_datetime_to=2019-08-24T14%3A15%3A22Z&cursor=&limit=30' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }